class Vector:
  def __init__(self,x=0,y=0,z=0):
    self.x=x
    self.y=y
    self.z=z
  
  def __mul__(self,scalar):
    return Vector(self.x*scalar,self.y*scalar,self.z*scalar)
    
  def __div__(self,scalar):
    return Vector(self.x/scalar,self.y/scalar,self.z/scalar)
  
  def __add__(self,vector):
    return Vector(self.x+vector.x,self.y+vector.y,self.z+vector.z)
  
  def __sub__(self,vector):
    return Vector(self.x-vector.x,self.y-vector.y,self.z-vector.z)
  
  def distance_to(self,other):
    return ((self.x-other.x)**2 + (self.y-other.y)**2 + (self.z-other.z)**2 ) **0.5

  def size(self):
    return self.distance_to(Vector())